Subject: Re: [PATCH 2/2] Revert "xfrm: state and policy should fail if XFRMA_IF_ID 0"

From: Kai Lüke <[email-masked]>
Date: Tue, 1 Mar 2022 14:12:41 +0100

Hello,
> What's the story here? You posted your patches twice and they look
> white space damaged (tabs replaced by spaces).
yeah, sorry for the spam, now I've set up git send-email and hope it
works ;)
> Does commit 6d0d95a1c2b0
> ("xfrm: fix the if_id check in changelink") which is in net/master now
> solve the issue for you?

I don't think it solves the regression that the kernel now fails
syscalls that use id 0. I reported this to the LTS kernel list and was
told to send it here since it is a regression.

Regards,
Kai